# https://github.com/opengeospatial/geoapi/issues/8
Name:          geoapi
Version:       3.0.1
Release:       1%{?dist}
Summary:       Java interfaces for OGC/ISO standard
License:       OGC
URL:           http://www.geoapi.org/
# https://github.com/opengeospatial/geoapi/tree/3.0.x
Source0:       https://github.com/opengeospatial/geoapi/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/opengeospatial/geoapi/issues/11
Patch0:        https://github.com/opengeospatial/geoapi/commit/f8393d1e57ba40433853ed292cf6bf4a7d662402.patch

BuildRequires: maven-local
BuildRequires: mvn(javax.measure:unit-api)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(tec.units:unit-ri)

BuildArch:     noarch

%description
The development community in building GIS solutions is sustaining an enormous
level of effort. The GeoAPI project aims to reduce duplication and increase
inter-operability by providing neutral, interface-only APIs derived from OGC/ISO
Standards.

%package conformance
Summary:       GeoAPI conformance

%description conformance
Utility methods for testing conformance of a GeoAPI implementation.
Provides Validators for testing the conformance of an existing instance,
and suites of JUnit tests.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%package parent
Summary:       GeoAPI Parent POM

%description parent
GeoAPI Parent POM.

%package tools
Summary:       GeoAPI Processing Tools

%description tools
Javadoc taglets and annotation processing tools for processing GeoAPI
after compilation. Those tools are used mostly for javadoc generation.

%prep
%setup -q -n %{name}-%{version}
find . -name "*.class" -print -delete
find . -name "*.jar" -print -delete

%patch0 -p1

%pom_remove_plugin -r :maven-deploy-plugin
%pom_remove_plugin -r :maven-javadoc-plugin
%pom_remove_plugin -r :maven-site-plugin
%pom_remove_plugin -r :maven-source-plugin
%pom_remove_plugin -r :taglist-maven-plugin

# Disable classpath in manifest
%pom_xpath_set -r pom:addClasspath false

# Require tec.units:unit-ri:1.0.1
#%% pom_disable_module %%{name}-conformance

%pom_xpath_remove "pom:dependency[pom:artifactId='tools']/pom:scope" tools
%pom_xpath_remove "pom:dependency[pom:artifactId='tools']/pom:systemPath" tools

sed -i 's/\r//' LICENSE.txt README.txt 

%build

#  -- -Pdefault-tools.jar
%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc README.txt
%license LICENSE.txt

%files conformance -f .mfiles-%{name}-conformance
%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%files parent -f .mfiles-%{name}-parent
%license LICENSE.txt

%files tools -f .mfiles-tools

%changelog
* Fri Oct 07 2016 gil cattaneo <puntogil@libero.it> 3.0.1-1
- update to 3.0.1

* Sat Oct 19 2013 gil cattaneo <puntogil@libero.it> 3.0.0-1
- initial rpm
